INKSCAPE(1)

NOM
Inkscape - programme d'edition SVG (Scalable Vector Graphics).

SYNOPSIS
"inkscape [options] [nom_de_fichier ...]"

options:

    -?, --help
        --usage
    -V, --version

    -f, --file=NOMDEFICHIER

    -e, --export-png=NOMDEFICHIER
    -a, --export-area=x0:y0:x1:y1
    -C, --export-area-page
    -D, --export-area-drawing
        --export-area-snap
    -i, --export-id=ID
    -j, --export-id-only
    -t, --export-use-hints
    -b, --export-background=COULEUR
    -y, --export-background-opacity=VALEUR
    -d, --export-dpi=PPP
    -w, --export-width=LARGEUR
    -h, --export-height=HAUTEUR

    -P, --export-ps=NOMDEFICHIER
    -E, --export-eps=NOMDEFICHIER
    -A, --export-pdf=NOMDEFICHIER

    -T, --export-text-to-path
        --export-ignore-filters

    -l, --export-plain-svg=NOMDEFICHIER

    -p, --print=IMPRIMANTE

    -I, --query-id=ID
    -X, --query-x
    -Y, --query-y
    -W, --query-width
    -H, --query-height
    -S, --query-all

    -x, --extension-directory

        --verb-list
        --verb=VERB-ID
        --select=OBJECT-ID

        --shell

    -g, --with-gui
    -z, --without-gui

        --vacuum-defs

        --g-fatal-warnings

DESCRIPTION
Inkscape est un editeur de dessin au format Scalable Vector Graphics (SVG) dote d'une interface graphique, offrant des possibilites similaires a Adobe Illustrator, CorelDraw, Xara Xtreme, etc. Les fonctionnalites d'Inkscape comprennent une gestion versatile des formes, le dessin a main levee et les courbes de Bezier, le texte multiligne, le texte suivant un chemin, la transparence, les transformations affines, les remplissages par motif ou degrade, l'edition de nXuds, l'export SVG vers PNG, le groupement, les calques, les clones interactifs et bien plus encore. L'interface est concue pour etre confortable et efficace pour les utilisateurs experimentes tout en restant conforme aux specifications de GNOME permettant ainsi aux utilisateurs d'applications GNOME de s'y habituer rapidement.

Le format SVG est un format XML standard pour le dessin vectoriel 2D. Il permet de definir des objets sur un dessin par l'utilisation de points, chemins et formes primitives. Les couleurs, fontes, largeur de contour et autres sont specifies en tant qu'attributs de 'style' de ces objets. Le but est de rendre possible l'utilisation de fichiers SVG pour un grand nombre de programmes et d'utilisation, SVG etant un standard et ses fichiers du type texte/xml.

Inkscape utilise le SVG comme format natif de ses documents, et a pour but de devenir le plus conforme des programmes de dessin SVG, disponible pour la communaute du logiciel libre.

OPTIONS

-?, --help
    Affiche un message d'aide.

-V, --version
    Affiche la version d'Inkscape et la date de compilation.

-a x0:y0:x1:y1, --export-area=x0:y0:x1:y1
    Pour l'export en PNG, definit la zone a exporter en pixels SVG (unite anonyme de longueur utilisee normalement par le format SVG Inkscape). Le comportement par defaut est d'exporter la page du document. Le point (0,0) est le coin inferieur gauche.

-C, --export-area-page
    Pour l'export en PNG, PDF, PS et EPS, la zone exportee est la page. C'est habituellement le comportement par defaut pour les formats PNG, PDF et PS, aussi specifier cette option n'est pas necessaire pour ces formats sauf si l'option --export-id est utilisee pour exporter un objet specifique. En EPS, cependant, il ne s'agit pas du comportement par defaut. De plus, pour l'EPS, la specification du format n'autorise pas sa boite englobante a s'etendre au-dela de son contenu, ce qui signifie que lorsque l'option --export-area-page est utilisee pour l'export EPS, la boite englobante de la page sera redimensionnee pour s'adapter a la boite englobante de son contenu si elle est plus petite.

-D, --export-area-drawing
    Pour l'export en PNG, PDF, PS et EPS, la zone a exporter est le dessin entier (pas la page), c'est a dire la boite englobante de l'ensemble des objets du document (ou des objets exportes lorsque l'option --export-id est utilisee). Avec cette option, l'image exportee n'affichera que les objets visibles du document sans marge ni massicotage. Il s'agit de l'option par defaut pour l'export au format EPS. Peut etre combine, lors de l'export en PNG, avec --export-use-hints.

--export-area-snap
    Arrondi les dimensions de la zone a exporter aux valeurs entieres superieures en
     unites SVG utilisateur (px). Si vous utilisez une resolution d'export de 90ppp et que vos objets sont alignes aux pixels afin de minimiser l'anti-crenelage, cette option permet de preserver cet alignement meme si l'export se fait selon des boites de contour (avec --export-id ou --export-area-drawing) qui ne sont pas correctement alignees sur les pixels.

-b COULEUR, --export-background=COULEUR
    Couleur de fond du PNG exporte. Cette valeur peut etre n'importe quelle chaine de couleur supportee par le format SVG, par exemple "#ff007f" ou "rgb(255, 0, 128)". Si cette couleur n'est pas definie, la couleur de page definie dans Inkscape via la boite de dialogue Preferences du document sera utilisee (enregistree dans l'attribut pagecolor= de sodipodi:namedview).

-d PPP, --export-dpi=PPP
    La resolution utilisee pour l'export en PNG. Elle est egalement utilisee pour definir le niveau de rasterisation des objets filtres lors de l'export en PS, EPS ou PDF (sauf si l'option --export-ignore-filters est utilisee). Elle est de 90 par defaut, correspondant a 1 pixel SVG (px, aussi appele "unite utilisateur") s'exportant vers 1 pixel bitmap. Cette valeur preempte la PPP enregistree avec le document si la commande est utilisee avec --export-use-hints.

-e NOMDEFICHIER, --export-png=NOMDEFICHIER
    Specifie le nom de fichier pour l'export en PNG. S'il existe deja, il sera ecrase sans demande de confirmation.

-f NOMDEFICHIER, --file=NOMDEFICHIER
    Ouvre le(s) document(s) specifie(s). La chaine d'option peut etre omise, c'est a dire que vous pouvez lister les noms de fichier sans -f.

-g, --with-gui
    Tente d'utiliser l'interface graphique (sous Unix, utilise le serveur X, meme si $DISPLAY n'est pas defini).

-h HAUTEUR, --export-height=HAUTEUR
    Hauteur du bitmap genere en pixels. Cette valeur preempte l'option --export-dpi (ou la PPP enregistree avec le document si --export-use-hints est aussi utilise).

-i ID, --export-id=ID
    Lors des exportations PNG, PS, EPS et PDF, valeur de l'attribut id de l'objet que vous voulez exporter depuis le document (aucun autre objet n'est exporte). Par defaut la zone exportee est la boite englobante de l'objet ; vous pouvez preempter ce comportement en utilisant --export-area (pour le PNG seulement) ou --export-area-page.

-j, --export-id-only
    N'exporte que l'objet dont l'id est specifiee avec avec l'option --export-id. Tout les autres objets seront caches et n'apparaitront pas dans le fichier exporte meme s'ils chevauchent l'objet effectivement exporte. Cette option est ignoree si --export-id n'est pas aussi utilise.

-l, --export-plain-svg=NOMDEFICHIER
    Exporte le(s) document(s) en SVG brut, sans espace de nom sodipodi: ou inkscape: et sans metadonnees RDF.

-l, --extension-directory
    Liste le contenu du repertoire d'extensions configure en tant que tel par Inkscape, puis sort. Cette option est utilisee afin que les extensions externes utilisent la configuration originale generee a l'installation d'Inkscape.

--verb=VERB-ID, --select=OBJECT-ID
    Ces deux options fonctionnent de concert pour offrir la possibilite d'ecrire des scripts simples pour Inkscape depuis la ligne de commande. Il peuvent apparaitre sur la ligne de commande aussi souvent que necessaire et sont executes dans l'ordre pour tous les documents specifies.

    La commande --verb execute une action specifique comme si elle etait appelee depuis un menu ou un bouton. Un boite de dialogue apparait lorsqu'elle fait partie de l'action. Utilisez l'option --verb-list pour lister les identifiants d'action disponibles.

    La commande --select selectionne les objects correspondants a l'identifiant specifie. Les actions suivantes ne s'appliquent alors qu'a cette selection. Pour deselectionner tous les objets, utilisez --verb=EditDeselect. Les identifiants d'objet disponibles dependent du document ouvert.

-p IMPRIMANTE, --print=IMPRIMANTE
    Imprime le(s) document(s) vers l'imprimante specifiee en utilisant `lpr -P IMPRIMANTE'. Vous pouvez aussi utiliser `| COMMANDE' pour specifier un tube de commande different, ou utiliser `> NOMDEFICHIER' pour ecrire le resultat PostScript dans un fichier au lieu de l'imprimer. N'oubliez pas d'utiliser les guillemets appropries pour votre shell, par exemple inkscape --print='| ps2pdf - mondoc.pdf' mondoc.svg

-t, --export-use-hints
    Utilise le nom de fichier et la PPP enregistres avec l'objet exporte (uniquement si --export-id est specifie). Ces valeurs sont automatiquement specifiees si vous exportez la selection depuis Inkscape. Donc, si par exemple, vous exportez la forme id="path231" en tant que /home/me/shape.png avec une resolution de 300 ppp depuis le document.svg en utilisant l'interface graphique d'Inkscape, et sauvez le document, vous pourrez reexporter plus tard cette forme vers le meme fichier et avec la meme resolution en utilisant simplement la commande : inkscape -i path231 -t document.svg

    Si vous utilisez --export-dpi, --export-width, ou --export-height avec cette option, la PPP enregistree avec le document sera ignoree et la valeur fournie a la ligne de commande utilisee. Si vous utilisez --export-png avec cette option, le nom de fichier enregistre avec le document sera ignore et le nom de fichier fourni a la ligne de commande utilise.

-w LARGEUR, --export-width=LARGEUR
    Largeur du bitmap genere en pixels. Cette valeur preempte l'option --export-dpi setting (ou la PPP enregistree avec le document si --export-use-hints est aussi utilise).

-y VALEUR, --export-background-opacity=VALEUR
    Opacite du fond du PNG exporte. Cela peut etre une valeur entre 0.0 et 1.0 (0.0 : completement transparent, 1.0 completement opaque) ou superieure a 1 et inferieure a 255 (255 : completement opaque). Si cette valeur n'est pas specifiee et si l'option -b n'est pas utilisee, l'opacite de la page enregistree avec le document (dans l'attribut inkscape:pageopacity= de sodipodi:namedview) sera utilisee. Si cette valeur n'est pas specifiee mais que l'option -b est utilisee, la valeur 255 (opacite complete) sera utilisee.

-P NOMDEFICHIER, --export-ps=NOMDEFICHIER
    Exporte le ou les documents au format PostScript. Notez que PostScript ne supporte pas la transparence, et que tout objet transparent dans le SVG original sera automatiquement rasterise. Les polices utilises sont incorporees en tant que sous-ensemble. La zone d'exportation par defaut est la page, mais vous pouvez choisir de limiter cette zone au dessin avec l'option --export-area-drawing. Il est egalement possible de n'exporter qu'un objet en specifiant --export-id (tous les autres objets sont caches) . Dans ce cas, la zone d'exportation correspond a celle de l'objet choisi, a moins que vous n'ajoutiez l'option --export-area-page pour que cette zone prenne la taille de la page.

-E NOMDEFICHIER, --export-eps=NOMDEFICHIER
    Exporte le ou les documents au format Encapsulated PostScript. Notez que PostScript ne supporte pas la transparence, et que tout objet transparent dans le SVG original sera automatiquement rasterise. Les polices utilises sont incorporees en tant que sous-ensemble. La zone d'exportation par defaut est la page, mais vous pouvez choisir de limiter cette zone au dessin avec l'option --export-area-drawing. Il est egalement possible de n'exporter qu'un objet en specifiant --export-id (tous les autres objets sont caches) .

-A FILENAME, --export-pdf=FILENAME
    Exporte le ou les documents au format PDF. Ce format preserve la transparence des objets presents dans le SVG original. Les polices utilises sont incorporees en tant que sous-ensemble. La zone d'exportation par defaut est la page, mais vous pouvez choisir de limiter cette zone au dessin avec l'option --export-area-drawing. Il est egalement possible de n'exporter qu'un objet en specifiant --export-id (tous les autres objets sont caches) . Dans ce cas, la zone d'exportation correspond a celle de l'objet choisi, a moins que vous n'ajoutiez l'option --export-area-page pour que cette zone prenne la taille de la page.

-T, --export-text-to-path
    Convertit les objets texte en chemins lors de l'export, si applicable (pour l'exportation en PS, EPS et PDF).

--export-ignore-filters
    Exporte les objets filtres (avec du flou, par exemple) comme des vecteurs, en ignorant les filtres (pour l'exportation en PS, EPS et PDF). Par defaut, tous les objets filtres sont rasterises a une definition choisie par --export-dpi (par defaut 90 ppp), en preservant son apparence.

-I, --query-id
    ID de l'objet dont les dimensions sont demandees. Si cette option n'est pas utilisee, la commande retournera les dimensions du dessin, pas de la page ou de la zone affichee.

-X, --query-x
    Demande l'abscisse (coordonnee X) du dessin ou, si specifie avec --query-id, de l'objet. La valeur retournee est en px (unite utilisateur SVG).

-Y, --query-y
    Demande l'ordonnee (coordonnee Y) du dessin ou, si specifie avec --query-id de l'objet. La valeur retournee est en px (unite utilisateur SVG).

-W, --query-width
    Demande la largeur du dessin ou, si specifie avec --query-id, de l'objet. La valeur retournee est en px (unite utilisateur SVG).

-H, --query-height
    Demande la hauteur du dessin ou, si specifie avec --query-id, de l'objet. La valeur retournee est en px (unite utilisateur SVG).

-S, --query-all
    Affiche un liste delimitee par des virgules des tous les objets du document SVG comprenant leur identifiant, et les valeurs x, y, largeur et hauteur.

--shell
    Avec ce parametre, Inkscape entre en mode de ligne de commande interactif. Dans ce mode, vous pouvez envoyer des commandes a Inkscape par le prompt, sans avoir a lancer une nouvelle instance du logiciel a chaque commande. Cette fonctionnalite est particulierement utile pour une utilisation en scripts et en serveur. Elle permet d'ameliorer la vitesse d'execution et l'occupation en memoire des scripts utilises de facon repetee. Chaque commande, dans ce mode, doit contenir tous les parametres d'une ligne de commande classique, a l'exception du nom du programme (inkscape), comme dans l'exemple suivant : "fichier.svg --export-pdf=fichier.pdf".

--vacuum-defs
    Supprime tous les elements inutilises de la section <lt>defs<gt> du fichier SVG. Si cette option est utilisee avec --export-plain-svg, seul le fichier exporte sera affecte. Si cette option est utilisee seule, le fichier specifie sera modifie.

-z, --without-gui
    Ne lance pas l'interface graphique (sous Unix, n'utilise pas le server X); ne traite les fichiers que depuis la console. Ceci est presuppose pour les options -p, -e, -l et --vacuum-defs.

--g-fatal-warnings
    Element des options standards GTK reconnues. Ceci force Inkscape a quitter pour tout avertissement GTK. Cette option est listee parce qu'elle est utilisee a des fins de debuggage.

--usage
    Affiche un bref message sur l'utilisation d'Inkscape.

CONFIGURATION
Le fichier de configuration principal est place dans ~/.config/Inkscape/preferences.xml. Il contient plusieurs types de parametrages dont vous pouvez changer la valeur dans Inkscape (la plupart dans la boite de dialogue Preferences d'Inkscape). Vous pouvez ajouter des configurations specifiques dans les sous-repertoires suivants :

$HOME/.config/Inkscape/extensions/ - extensions.

$HOME/.config/Inkscape/icons/ - icones.

$HOME/.config/Inkscape/keys/ - association des touches du clavier aux commandes.

$HOME/.config/Inkscape/templates/ - modeles de fichiers.

DIAGNOSTICS
Le programme retourne la valeur zero apres une utilisation reussie ou differente de zero apres un probleme.

Des messages d'erreur et des avertissements divers peuvent etre ecrits vers STDERR ou STDOUT. Si le programme se comporte de facon erratique avec un fichier SVG particulier, ou se plante, il est parfois utile de chercher des indices dans ces messages.

EXEMPLES
Bien qu'Inkscape soit principalement concu comme une application graphique, il peut aussi etre utilise depuis la ligne de commande pour certaines operations SVG.

Ouvrir un fichier SVG avec l'interface graphique :

    inkscape nomdefichier.svg

Imprimer un fichier SVG :

    inkscape nomdefichier.svg -p '| lpr'

Exporter un fichier SVG en PNG avec la resolution par defaut de 90 ppp (un pixel bitmap correspondant a une unite utilisateur SVG [px]) :

    inkscape nomdefichier.svg --export-png=nomdefichier.png

Idem, mais en forcant les dimensions du fichier a 600x400 pixels :

    inkscape nomdefichier.svg --export-png=nomdefichier.png -w600 -h400

Idem, mais en exportant le dessin (la boite englobante de tous les objets), pas la page :

    inkscape nomdefichier.svg --export-png=nomdefichier.png --export-area-drawing

Exporter en PNG l'objet id="text1555", en utilisant le nom de fichier et la resolution utilises la derniere fois qu'il a ete exporte depuis l'interface graphique :

    inkscape nomdefichier.svg --export-id=text1555 --export-use-hints

Idem, mais en utilisant une resolution de 90 ppp, en specifiant un nom de fichier et en arrondissant la zone a exporter aux valeurs entieres juste superieures en unites utilisateur SVG (afin de preserver l'alignement des objets sur des pixels et minimiser l'anti-crenelage) :

    inkscape nomdefichier.svg --export-id=text1555 --export-png=texte.png --export-area-snap

Convertir un document du format SVG Inkscape au format SVG brut :

    inkscape nomdefichier1.svg --export-plain-svg=nomdefichier2.svg

Convertir un document SVG en EPS, en convertissant les textes en chemins :

    inkscape nomdefichier.svg --export-eps=nomdefichier.eps --export-text-to-path

Demander la largeur de l'objet avec un id="text1555":

    inkscape nomdefichier.svg --query-width --query-id text1555

Dupliquer l'objet ayant pour identifiant id="path1555", puis appliquer une rotation de 90 degres sur le duplicat, enregistrer le SVG et quitter :

    inkscape nomdefichier.svg --select=path1555 --verb=EditDuplicate --verb=ObjectRotate90 --verb=FileSave --verb=FileClose

ENVIRONEMENT
DISPLAY pour obtenir l'hote par defaut et le numero d'affichage.

TMPDIR pour definir le chemin par defaut du repertoire a utiliser pour stocker les fichier temporaires. Le repertoire doit exister.

THEMES
Vous pouvez remplacer le fichier d'icones par defaut $PREFIX/share/inkscape/icons/icons.svg en utilisant le repertoire $HOME/.config/inkscape/icons/. Les icones sont chargees par nom (ex. : fill_none.svg) ou, si elles sont introuvables, depuis le fichier icons.svg. Si une icone n'est pas trouvee dans l'un de ces emplacements, elle est chargee depuis l'emplacement par defaut du systeme.

Les icones necessaires sont chargees depuis les fichiers SVG par recherche de l'id SVG correspondant (Par exemple, pour charger l'icone "fill_none" depuis un fichier, le contenu identifie par l'id SVG "fill_none" est rendu en tant que cette icone, qu'il vienne du fichier fill_none.svg ou du fichier icons.svg).

AUTRES INFORMATIONS
L'endroit principal pour trouver des informations sur Inkscape est http://www.inkscape.org/. Le site web contient des liens vers d'autres elements pertinents : documentation, didacticiels, manuel de l'utilisateur, exemples, archives des listes d'e-mail, la derniere version d'Inkscape et bien d'autres choses.

VOIR AUSSI
potrace, cairo, rsvg(1), batik, ghostscript, pstoedit.

Suite de tests de conformite SVG : http://www.w3.org/Graphics/SVG/Test/

Validation de SVG : http://jiggles.w3.org/svgvalidator/

Scalable Vector Graphics (SVG) 1.1 Specification W3C Recommendation 14 January 2003 <http://www.w3.org/TR/SVG11/>

Scalable Vector Graphics (SVG) 1.2 Specification W3C Working Draft 13 November 2003 <http://www.w3.org/TR/SVG12/>

SVG 1.1/1.2/2.0 Requirements W3C Working Draft 22 April 2002 <http://www.w3.org/TR/SVG2Reqs/>

Document Object Model (DOM): Level 2 Core Arnaud Le Hors et al editors, W3C http://www.w3.org/TR/DOM-Level-2-Core/ <http://www.w3.org/TR/DOM-Level-2-Core/>

NOTES SUR L'INTERFACE GRAPHIQUE
Pour vous familiariser avec l'utilisation de l'interface graphique d'Inkscape, consultez les didacticiels dans Aide > Didacticiels

Inkscape permet d'importer (Fichier > Importer) la plupart des formats bitmaps PNG, BMP, JPG, XPM, GIF, etc.), du texte brut (necessite Perl) et le format AI (documents Adobe Illustrator).

Inkscape permet d'exporter (Fichier > Exporter) des images PNG 32-bits, mais aussi aux formats AI, PS, EPS, PDF (necessite Ghostscript), DXF et plusieurs autres formats (via Fichier > Enregistrer sous).

Inkscape supporte la pression et l'inclinaison du stylet d'une tablette graphique pour la largeur et l'angle de l'outil calligraphique.

Inkscape comporte une interface graphique pour le moteur de vectorisation de bitmaps Potrace (http://potrace.sf.net) qui est inclus dans Inkscape.

Inkscape peut utiliser des scripts externes (filtres depuis stdin vers stdout) representes par des commandes dans le menu Effets. Un script peut avoir une interface graphique, sous forme de boite de dialogue, permettant de definir differents parametres et peut obtenir les IDs des objets selectionnes sur lesquels agir depuis la ligne de commande. Inkscape est livre avec un assortiment d'effets ecrits en Python dedies principalement a la manipulation de chemin.

RACCOURCIS CLAVIER
Pour obtenir une liste complete des raccourcis clavier et souris, consultez le fichier doc/keys.html, ou utilisez la commande Clavier et souris dans le menu d'aide de l'interface graphique pour en afficher un tableau SVG.

BUGS
Beaucoup de bugs sont connus; veuillez, svp, consulter le site web pour consulter ceux qui ont deja ete rapportes et pour soumettre de nouveaux problemes. Consultez aussi la section "Known Issues" des notes de votre version (dans le fichier `NEWS').

AUTEURS
Ce code doit son existence a un grand nombre de contributeurs tout au long de ses differentes incarnations. La liste qui suit est certainement incomplete
 mais permet de reconnaitre les nombreuses epaules sur lesquelles cette application s'est appuyee :

Maximilian Albert, Josh Andler, Tavmjong Bah, Pierre Barbry-Blot, Jean-François Barraud, Bill Baxter, John Beard, John Bintz, Arpad Biro, Nicholas Bishop, Joshua L. Blocher, Henrik Bohre, Boldewyn, Daniel Borgmann, Bastien Bouclet, Gustav Broberg, Christopher Brown, Hans Breuer, Marcus Brubaker, Luca Bruno, Nicu Buculei, Bulia Byak, Pierre Caclin, Ian Caldwell, Gail Carmichael, Ed Catmur, Chema Celorio, Johan Ceuppens, Zbigniew Chyla, Alexander Clausen, John Cliff, Kees Cook, Ben Cromwell, Robert Crosbie, Jon Cruz, Aurélie De-Cooman, Milosz Derezynski, Daniel Díaz, Bruno Dilly, Larry Doolittle, Tim Dwyer, Maxim V. Dziumanenko, Johan Engelen, Miklos Erdelyi, Ulf Erikson, Noé Falzon, Frank Felfe, Andrew Fitzsimon, Edward Flick, Marcin Floryan, Fred, Ben Fowler, Cedric Gemy, Steren Giannini, Olivier Gondouin, Ted Gould, Toine de Greef, Michael Grosberg, Bryce Harrington, Dale Harvey, Aurélio Heckert, Carl Hetherington, Jos Hirth, Hannes Hochreiner, Thomas Holder, Joel Holdsworth, Alan Horkan, Karl Ove Hufthammer, Richard Hughes, Nathan Hurst, inductiveload, Thomas Ingham, Jean-Olivier Irisson, Bob Jamison, jEsuSdA, Lauris Kaplinski, Lynn Kerby, Niko Kiirala, James Kilfiger, Jason Kivlighn, Adrian Knoth, Krzysztof Kosin´ski, Petr Kovar, Benoît Lavorata, Alex Leone, Julien Leray, Raph Levien, Diederik van Lierop, Nicklas Lindgren, Vitaly Lipatov, Ivan Louette, Pierre-Antoine Marc, Aurel-Aimé Marmion, Colin Marquardt, Dmitry G. Mastrukov, Matiphas, Michael Meeks, Federico Mena, MenTaLguY, Aubanel Monnier, Vincent Montagne, Tim Mooney, Derek P. Moore, Peter Moulder, Jörg Müller, Yukihiro Nakai, Victor Navez, Christian Neumair, Andreas Nilsson, Mitsuru Oka, Marten Owens, Alvin Penner, Jon Phillips, Zdenko Podobny, Alexandre Prokoudine, Jean-René Reinhard, Alexey Remizov, Frederic Rodrigo, Hugo Rodrigues, Juarez Rudsatz, Xavier Conde Rueda, Felipe Corrêa da Silva Sanches, Aurélio A. Heckert, Christian Schaller, Marco Scholten, Tom von Schwerdtner, Shivaken, Michael Sloan, Danilo Šegan, Boštjan Špetic, Aaron Spike, Kaushik Sridharan, Ralf Stephan, Dariusz Stojek, Martin Sucha, Pat Suwalski, Adib Taraben, Hugh Tebby, Jonas Termeau, David Turner, Andre Twupack, Aleksandar Uroševic´, Lucas Vieites, Michael Wybrow, Daniel Yacob, David Yip, Masatake Yamato

Cette page de manuel a ete creee par Bryce Harrington <brycehar@bryceharrington.com>.

HISTORIQUE
Le code qui allait devenir Inkscape est ne en 1999, avec le programme Gill, GNOME Illustrator, cree par Raph Levien. L'objectif defini pour Gill etait de supporter completement le format SVG. Raph a code le modele Postcript de courbes de Bezier, incluant le remplissage et le contour, les coiffes et raccords de lignes, le texte, etc. La page de Raph consacree a Gill se trouve sur http://www.levien.com/svg/. Le travail sur Gill semble avoir diminue ou s'etre arrete en 2000.

L'incarnation suivante du code allait devenir le tres populaire Sodipodi, mene par Lauris Kaplinski. Le code est devenu un outil d'illustration puissant apres plusieurs annees de travail, ajoutant plusieurs nouvelles fonctionnalites, le support multilingue, le portage sous Windows et d'autres systemes d'exploitation et eliminant certaines dependances.

Inkscape a ete lance en 2003 par quatre developpeurs actifs de Sodipodi (Bryce Harrington, MenTaLguY, Nathan Hurst et Ted Gould), qui voulaient faire prendre une orientation differente au code en termes de focalisation sur la conformite SVG, aspect et fonctionnement de l'interface, et d'opportunites de developpement ouvertes a plus de participants.

Beaucoup de travail a ete depuis consacre a la stabilisation du code et a l'internationalisation. Le moteur de rendu herite de Sodipodi comportait de nombreuses specificites qui entrainaient de plantages lorsque l'utilisation du programme sortait des sentiers battus. Ce moteur a alors ete remplace par Livarot qui, bien qu'imparfait, generait moins d'erreurs. Le projet a egalement adopte la bonne habitude de publier son code regulierement, et encourage les utilisateurs a tester des versions en developpement du logiciel, ce qui a bien aide dans l'identification des nouveaux defauts, et donne les moyens aux utilisateurs de verifier que les anciens etaient bien corriges. Inkscape a ainsi acquis une reputation de programme robuste et fiable.

En parallele, des efforts ont ete faits pour ameliorer l'internationalisation et la localisation de l'interface, ce qui a apporte au projet de nouveaux contributeurs tout autour du monde.

Inkscape a eu un impact positif sur l'attractivite visuelle de l'Open Source en general, en offrant un outil pour creer et partager des icones, ecrans d'accueil, art pour le web, etc. D'une certaine facon, bien que n'etant qu'un "simple outil de dessin", Inkscape a joue un role important en rendant l'Open Source plus stimulant visuellement parlant pour un plus large public.

COPYRIGHT ET LICENSE
Copyright (C) 1999–2010 des auteurs.

Inkscape est un logiciel libre; vous pouvez le redistribuer et/ou le modifier selon les termes de la license GPL.